com.fasterxml.jackson.databind

## Class PropertyNamingStrategies

- java.lang.Object
- - com.fasterxml.jackson.databind.PropertyNamingStrategies

All Implemented Interfaces:
  Serializable

    public abstract class PropertyNamingStrategies
    extends Object
    implements Serializable

Container for standard `PropertyNamingStrategy` implementations and singleton instances.

Added in Jackson 2.12 to resolve issue databind#2715.

Since:
  2.12
See Also:
  Serialized Form

### Nested Class Summary

Nested Classes
`static class` `PropertyNamingStrategies.KebabCaseStrategy` Naming strategy similar to `PropertyNamingStrategies.SnakeCaseStrategy`, but instead of underscores as separators, uses hyphens.
`static class` `PropertyNamingStrategies.LowerCamelCaseStrategy` "No-operation" strategy that is equivalent to not specifying any strategy: will simply return suggested standard bean naming as-is.
`static class` `PropertyNamingStrategies.LowerCaseStrategy` Simple strategy where external name simply only uses lower-case characters, and no separators.
`static class` `PropertyNamingStrategies.LowerDotCaseStrategy` Naming strategy similar to `PropertyNamingStrategies.KebabCaseStrategy`, but instead of hyphens as separators, uses dots.
`static class` `PropertyNamingStrategies.NamingBase` Intermediate base class for simple implementations
`static class` `PropertyNamingStrategies.SnakeCaseStrategy` A `PropertyNamingStrategy` that translates typical camel case Java property names to lower case JSON element names, separated by underscores.
`static class` `PropertyNamingStrategies.UpperCamelCaseStrategy` A `PropertyNamingStrategy` that translates typical camelCase Java property names to PascalCase JSON element names (i.e., with a capital first letter).

### Field Summary

Fields
`static PropertyNamingStrategy` `KEBAB_CASE` Naming convention used in languages like Lisp, where words are in lower-case letters, separated by hyphens.
`static PropertyNamingStrategy` `LOWER_CAMEL_CASE` Naming convention used in Java, where words other than first are capitalized and no separator is used between words.
`static PropertyNamingStrategy` `LOWER_CASE` Naming convention in which all words of the logical name are in lower case, and no separator is used between words.
`static PropertyNamingStrategy` `LOWER_DOT_CASE` Naming convention widely used as configuration properties name, where words are in lower-case letters, separated by dots.
`static PropertyNamingStrategy` `SNAKE_CASE` Naming convention used in languages like C, where words are in lower-case letters, separated by underscores.
`static PropertyNamingStrategy` `UPPER_CAMEL_CASE` Naming convention used in languages like Pascal, where all words are capitalized and no separator is used between words.

### Constructor Summary

Constructors
Constructor and Description
`PropertyNamingStrategies()`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### LOWER_CAMEL_CASE

    public static final PropertyNamingStrategy LOWER_CAMEL_CASE

Naming convention used in Java, where words other than first are capitalized and no separator is used between words. Since this is the native Java naming convention, naming strategy will not do any transformation between names in data (JSON) and POJOS.

Example external property names would be "numberValue", "namingStrategy", "theDefiniteProof".

#### UPPER_CAMEL_CASE

    public static final PropertyNamingStrategy UPPER_CAMEL_CASE

Naming convention used in languages like Pascal, where all words are capitalized and no separator is used between words. See `PropertyNamingStrategies.UpperCamelCaseStrategy` for details.

Example external property names would be "NumberValue", "NamingStrategy", "TheDefiniteProof".

#### SNAKE_CASE

    public static final PropertyNamingStrategy SNAKE_CASE

Naming convention used in languages like C, where words are in lower-case letters, separated by underscores. See `PropertyNamingStrategies.SnakeCaseStrategy` for details.

Example external property names would be "number_value", "naming_strategy", "the_definite_proof".

#### LOWER_CASE

    public static final PropertyNamingStrategy LOWER_CASE

Naming convention in which all words of the logical name are in lower case, and no separator is used between words. See `PropertyNamingStrategies.LowerCaseStrategy` for details.

Example external property names would be "numbervalue", "namingstrategy", "thedefiniteproof".

#### KEBAB_CASE

    public static final PropertyNamingStrategy KEBAB_CASE

Naming convention used in languages like Lisp, where words are in lower-case letters, separated by hyphens. See `PropertyNamingStrategies.KebabCaseStrategy` for details.

Example external property names would be "number-value", "naming-strategy", "the-definite-proof".

#### LOWER_DOT_CASE

    public static final PropertyNamingStrategy LOWER_DOT_CASE

Naming convention widely used as configuration properties name, where words are in lower-case letters, separated by dots. See `PropertyNamingStrategies.LowerDotCaseStrategy` for details.

Example external property names would be "number.value", "naming.strategy", "the.definite.proof".

### Constructor Detail

#### PropertyNamingStrategies

    public PropertyNamingStrategies()